{* <!--
  Impera CMS: субшаблон Skitter slideshow
  Автор: Thiago Silva Ferreira
  Сайт автора: http://thiagosf.net

  Принимает во входных параметрах:
    $banner_path = относительный путь картинок демонстрируемого баннера
                   или относительное имя файла демонстрируемой картинки
                   (по умолчанию Skitter-slideshow-demo/)
    $width = ширина слайдера в пикселях (диапазон от 200 до 1920,
             по умолчанию 800)
    $height = высота слайдера в пикселях (диапазон от 200 до 1080,
              по умолчанию 300)
    $interval = пауза в миллисекундах между показами картинок
                (по умолчанию 7000, то есть 7 секунд)
    $progressbar = булевой признак "показывать полосу таймера паузы"
                   (по умолчанию true)
    $thumbnails = булевой признак "миниатюры картинок"
                  (по умолчанию false)
    $numbers = булевой признак "показывать кнопки номеров картинок"
               (по умолчанию true)
    $effect = название анимационного эффекта перелистывания картинок,
              возможные значения: cube, cubeRandom, block, cubeStop,
              cubeStopRandom, cubeHide, cubeSize, horizontal, showBars,
              showBarsRandom, tube, fade, fadeFour, paralell, blind,
              blindHeight, blindWidth, directionTop, directionBottom,
              directionRight, directionLeft, cubeSpread, cubeJelly,
              glassCube, glassBlock, circles, circlesInside, circlesRotate,
              cubeShow, upBars, downBars, hideBars, swapBars, swapBarsBack,
              swapBlocks, cut, random, randomSmart
              (по умолчанию random)
    $link_easing = булевой признак "самостоятельно подключить скрипт
                   jQuery Easing - расширитель анимационных эффектов"
                   (по умолчанию true)
    $link_coloranim = булевой признак "самостоятельно подключить скрипт
                      jQuery Color Animation - аниматор цветовых переходов"
                      (по умолчанию true)
    $link_engine = булевой признак "самостоятельно подключить свои стили
                   и скрипт" (по умолчанию true)

  Использует переменные движка:
    $banners = массив прочитанных баннеров
    $site = полный url корневой папки сайта
    $smarty = объект шаблонизатора

  Подключение из своего шаблона:
    {include file = "../../common_parts/Skitter-slideshow/main.tpl"
             banner_path = строка пути к картинкам баннера
             width = число от 600 до 1024
             height = число от 300 до 768
             interval = число от 0 и выше
             progressbar = true или false
             thumbnails = true или false
             numbers = true или false
             effect = строка с названием анимационного эффекта
             link_easing = true или false
             link_coloranim = true или false
             link_engine = true или false}

  ============================================================================ --> *}

  {* <!-- если движком прочитаны баннеры --> *}
  {if isset($banners) && is_array($banners) && !empty($banners)}
    {strip}

      {* <!-- запоминаем входной путь --> *}
      {$skitter_slideshow_path = ($banner_path|default:'Skitter-slideshow-demo/')|lower}
      {$skitter_slideshow_path = $skitter_slideshow_path|regex_replace:'![/\\\]+!':'/'}

      {* <!-- готовим картинки --> *}
      {capture assign = "skitter_slideshow_images"}
        {$skitter_slideshow_url = ($site|default:'')|cat:($smarty.const.ADMIN_BANNERS_CLASS_UPLOAD_FOLDER|default:'')|cat:'/'}
        {$skitter_slideshow_url = $skitter_slideshow_url|regex_replace:'![/\\\]+!':'/'}
        {$skitter_slideshow_url = $skitter_slideshow_url|regex_replace:'!^([a-z]+:/)!i':'\1/'}
        {$skitter_slideshow_url = $skitter_slideshow_url|escape}

        {* <!-- перебираем неотключенные папки или файлы баннера --> *}
        {function name = "show_skitter_banners"}
          {foreach $dir as $c}
            {if $c->enabled|default:true}
              {$skitter_slideshow_folder = $c->path|default:''}
              {$skitter_slideshow_file = $skitter_slideshow_folder|cat:($c->filename|default:'')}

              {* <!-- если это папка, делаем рекурсию --> *}
              {if isset($c->files)}
                {if is_array($c->files) && !empty($c->files)}
                  {show_skitter_banners dir = $c->files}
                {/if}

              {* <!-- иначе если это файл-картинка и он выбран или из выбранной папки --> *}
              {elseif isset($c->width) && isset($c->height)
              && (($skitter_slideshow_folder|lower == $skitter_slideshow_path)
              || ($skitter_slideshow_file|lower == $skitter_slideshow_path))}

                {* <!-- отдельно взятая картинка --> *}
                <li>
                  {if $c->link|default:'' != ''}
                    <a href="{$c->link|escape}">
                  {/if}
                    <img src="{$skitter_slideshow_url}{$skitter_slideshow_file|escape}" />
                  {if $c->link|default:'' != ''}
                    </a>
                  {/if}

                  {* <!-- если в картинке дан заголовок, цена или описание --> *}
                  {if ($c->title|default:'' != '') || ($c->price|default:'' != '') || ($c->description|default:'' != '')}
                    <div class="label_text">

                      {* <!-- если дана цена --> *}
                      {if $c->price|default:'' != ''}
                        <span class="skitter-slideshow-price">
                          {$c->price}
                        </span>
                      {/if}

                      {* <!-- если дан заголовок --> *}
                      {if $c->title|default:'' != ''}
                        <p class="skitter-slideshow-title">
                          {$c->title}
                        </p>
                      {/if}

                      {* <!-- если дано описание --> *}
                      {if $c->description|default:'' != ''}
                        <p class="skitter-slideshow-description">
                          {$c->description}
                        </p>
                      {/if}
                    </div>
                  {/if}
                </li>

              {/if}
            {/if}

          {/foreach}
        {/function}
        {show_skitter_banners dir = $banners}
      {/capture}

      {* <!-- готовим стилевой путь --> *}
      {$skitter_slideshow_common = (($site|default:'')|cat:'design/common/Skitter-slideshow/')|escape}

      {* <!-- готовим уникальный префиксатор --> *}
      {capture assign = "skitter_slideshow_prefix"}SKITTERslideshow{math equation = "rand(1, 100000000)"}-{/capture}

      {* <!-- если позволили, подключаем скрипт jQuery Easing --> *}
      {if $link_easing|default:true === true}
        <script src="{$skitter_slideshow_common}jquery.easing.1.3.js" {**}
                language="JavaScript" {**}
                type="text/javascript"></script>
      {/if}

      {* <!-- если позволили, подключаем скрипт jQuery Color Animation  --> *}
      {if $link_coloranim|default:true === true}
        <script src="{$skitter_slideshow_common}jquery.animate-colors.min.js" {**}
                language="JavaScript" {**}
                type="text/javascript"></script>
      {/if}

      {* <!-- если позволили подключить движковую часть слайдера (стили, скрипты) --> *}
      {if $link_engine|default:true === true}

        {* <!-- подключаем стили слайдера --> *}
        <link href="{$skitter_slideshow_common}skitter-slideshow-style.css" {**}
              rel="stylesheet" {**}
              type="text/css" />

        {* <!-- подключаем скрипт слайдера --> *}
        <script src="{$skitter_slideshow_common}jquery.skitter.min.js" {**}
                language="JavaScript" {**}
                type="text/javascript"></script>
      {/if}

      {* <!-- если есть подготовленные картинки --> *}
      {if $skitter_slideshow_images|regex_replace:'!\s!s':'' != ''}

        {* <!-- если просили поправить размеры --> *}
        {if ($width|default:0 >= 200) && ($width|default:0 <= 1920)
        || ($height|default:0 >= 200) && ($height|default:0 <= 1080)}
          <style>
            #{$skitter_slideshow_prefix}skitter-slideshow,
            #{$skitter_slideshow_prefix}skitter-slideshow .image img,
            #{$skitter_slideshow_prefix}skitter-slideshow .box_clone img {
                {if ($width|default:0 >= 200) && ($width|default:0 <= 1920)}
                  width: {$width|string_format:'%d'}px;
                {/if}
                {if ($height|default:0 >= 200) && ($height|default:0 <= 1080)}
                  height: {$height|string_format:'%d'}px;
                {/if}
            }
          </style>
        {/if}

        {* <!-- контейнер слайдера --> *}
        <div id="{$skitter_slideshow_prefix}skitter-slideshow" {**}
             class="box_skitter skitter-slideshow">
          <ul>
            {$skitter_slideshow_images}
          </ul>
        </div>

        {* <!-- запускаем слайдер --> *}
        <script language="JavaScript" {**}
                type="text/javascript">
          jQuery(document).ready(function () {
            jQuery('#{$skitter_slideshow_prefix}skitter-slideshow').skitter({ thumbs: {if $thumbnails|default:false}
                                                                                        true
                                                                                      {else}
                                                                                        false
                                                                                      {/if},
                                                                              hideTools: false,
                                                                              label: true,
                                                                              numbers: {if $numbers|default:true}
                                                                                         true
                                                                                       {else}
                                                                                         false
                                                                                       {/if},
                                                                              progressbar: {if $progressbar|default:true}
                                                                                             true
                                                                                           {else}
                                                                                             false
                                                                                           {/if},
                                                                              navigation: true,
                                                                              animation: '{$effect|default:'random'|escape}',
                                                                              interval: {($interval|default:7000)|string_format:'%d'}
                                                                            });
          });
        </script>
      {/if}

    {/strip}
  {/if}
